YouCanSignal = ZO_CallbackObject:Subclass()
local ADDON_NAME = "YouCanSignal"
--YouCanSignal.isHidden == true

function YouCanSignal:New(name, leftOffset)
	local ycs = ZO_CallbackObject.New(self)
	ycs.name = name
	ycs.leftOffset = leftOffset
	
	ycs.tlw = WINDOW_MANAGER:CreateTopLevelWindow(name.."TLW")
	ycs.tlw:ClearAnchors()
	ycs.tlw:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, leftOffset, 0)
	ycs.tlw:SetDimensions(21, 21) --Color between x 15-19, y 38-42
	
	ycs.bd = WINDOW_MANAGER:CreateControl(name.."BackDrop", ycs.tlw, CT_BACKDROP)
	ycs.bd:SetAnchor(TOPLEFT, ycs.tlw, TOPLEFT, 0, 0)
	ycs.bd:SetAnchor(BOTTOMRIGHT, ycs.tlw, BOTTOMRIGHT, 0, 0)
	ycs.bd:SetAlpha(1)
	ycs.bd:SetCenterColor(0.0, 0.0, 0.0)
	
	return ycs
end

function YouCanSignal:updateBackdrop(r, g, b)
	self.bd:SetCenterColor(r, g, b)
end

EVENT_MANAGER:RegisterForEvent(ADDON_NAME.name, EVENT_ADD_ON_LOADED, function(event, addonName)
	if addonName ~= ADDON_NAME.name then return end
	EVENT_MANAGER:UnregisterForEvent(ADDON_NAME.name, EVENT_ADD_ON_LOADED)

end)
--[[
function ToggleSignal()
   if YouCanSignal.isHidden == true then
      YouCanSignal.tlw:SetHidden(false)
      YouCanSignal.isHidden = false
   else
      YouCanSignal.tlw:SetHidden(true)
      YouCanSignal.isHidden = true
   end
end
SLASH_COMMANDS["/ycf"] = ToggleSignal
]]--